Package org.silverpeas.components.gallery.process.media

# Class GalleryCreateMediaDataProcess

java.lang.Object
org.silverpeas.core.process.AbstractProcess<C>
org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
org.silverpeas.components.gallery.process.AbstractGalleryDataProcess
org.silverpeas.components.gallery.process.media.GalleryCreateMediaDataProcess

All Implemented Interfaces:
  `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

public class GalleryCreateMediaDataProcess extends AbstractGalleryDataProcess
Process to create a media in Database

Author:
  Yohann Chastagnier

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GalleryCreateMediaDataProcess(Media media, String albumId, MediaDataCreateDelegate delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GalleryCreateMediaDataProcess`
  `getInstance(Media media, String albumId, MediaDataCreateDelegate delegate)`
  `void`
  `onSuccessful()`
  `protected void`
  `processData(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session)`

  ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryDataProcess

  `createMedia, getGalleryContentManager, getGalleryService, getGenericRecordSetManager, getMedia, getOrganisationController, getPublicationTemplateManager, getXMLFormName, process, updateMedia`

  ### Methods inherited from class org.silverpeas.core.process.management.AbstractDataProcess

  `getProcessType`

  ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

  `onFailure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GalleryCreateMediaDataProcess

    protected GalleryCreateMediaDataProcess(Media media, String albumId, MediaDataCreateDelegate delegate)

- ## Method Details

  - ### getInstance

    public static GalleryCreateMediaDataProcess getInstance(Media media, String albumId, MediaDataCreateDelegate delegate)

  - ### processData

    protected void processData(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session) throws Exception
    Specified by:
      `processData` in class `AbstractGalleryDataProcess`
    Throws:
      `Exception`

  - ### onSuccessful

    public void onSuccessful() throws Exception
    Specified by:
      `onSuccessful` in interface `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
    Overrides:
      `onSuccessful` in class `org.silverpeas.core.process.AbstractProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
    Throws:
      `Exception`